Access to individual endpoints can be restricted per account. If a request to this endpoint returns
403 with error code endpoint_not_enabled and you expect to have access, contact your account representative.GET /v1/products/watches endpoint returns all product watches configured on your account. You can paginate through results and filter by any metadata key-value pair you attached to your watches at creation time.
Endpoint
Headers
Query parameters
Filter watches by a metadata key-value pair. Replace
{key} with your custom metadata key. You can include multiple metadata filters in a single request.Examples:?metadata[campaign]=summer_sale?metadata[campaign]=summer_sale&metadata[priority]=high?metadata[category]=electronics
Example requests
List all watches:Response
Response fields
meta object
Watch object (data[])
The unique identifier for the watch. Use this value in path parameters for GET, PUT, and DELETE requests.
The product identifier being watched. For multi-target watches, individual watch objects are returned per target.
Current watch status:
"active", "paused", "completed", "expired", or "error". A watch becomes "completed" after its rule is met. Ended watches ("completed", "expired", "error") can be reactivated for 60 days, then they are removed.The rules that trigger a notification. See the overview for field and condition details.
Any filters limiting which product listings can trigger the watch. Absent if no filters were set.